Index: /extensions/ContactForm/admin.php
===================================================================
--- /extensions/ContactForm/admin.php	(revision 17483)
+++ /extensions/ContactForm/admin.php	(revision 17483)
@@ -0,0 +1,32 @@
+<?php
+if (!defined('CONTACT_FORM_PATH')) die('Hacking attempt!');
+
+global $template, $page;
+
+$page['tab'] = (isset($_GET['tab'])) ? $_GET['tab'] : 'config';
+
+// tabsheet
+include_once(PHPWG_ROOT_PATH.'admin/include/tabsheet.class.php');    
+$tabsheet = new tabsheet();
+$tabsheet->add('config', l10n('Configuration'), CONTACT_FORM_ADMIN . '-config');
+$tabsheet->add('emails', l10n('E-mails'), CONTACT_FORM_ADMIN . '-emails');
+$tabsheet->select($page['tab']);
+$tabsheet->assign();
+
+// include page
+include(CONTACT_FORM_PATH . 'admin/' . $page['tab'] . '.php');
+
+if (!count(get_contact_emails()))
+{
+  array_push($page['errors'], l10n('No active email address'));
+}
+
+// template
+$template->assign(array(
+  'CONTACT_FORM_PATH' => CONTACT_FORM_PATH,
+  'CONTACT_FORM_ADMIN' => CONTACT_FORM_ADMIN,
+  ));
+
+$template->assign_var_from_handle('ADMIN_CONTENT', 'contact_form');
+
+?>
Index: /extensions/ContactForm/admin/config.php
===================================================================
--- /extensions/ContactForm/admin/config.php	(revision 17483)
+++ /extensions/ContactForm/admin/config.php	(revision 17483)
@@ -0,0 +1,38 @@
+<?php
+if (!defined('CONTACT_FORM_PATH')) die('Hacking attempt!');
+
+// save config
+if (isset($_POST['save_config']))
+{
+  $conf['ContactForm'] = array(
+    'cf_must_initialize' =>   false,
+    'cf_menu_link' =>         isset($_POST['cf_menu_link']),
+    'cf_subject_prefix' =>    trim($_POST['cf_subject_prefix']),
+    'cf_default_subject' =>   trim($_POST['cf_default_subject']),
+    'cf_allow_guest' =>       isset($_POST['cf_allow_guest']),
+    'cf_mandatory_mail' =>    isset($_POST['cf_mandatory_mail']),
+    'cf_mandatory_name' =>    isset($_POST['cf_mandatory_name']),
+    'cf_mail_type' =>         $_POST['cf_mail_type'],
+    'cf_admin_mails' =>       $conf['ContactForm']['cf_admin_mails'],
+    );
+  $conf['ContactForm_before'] = $_POST['cf_before'];
+  $conf['ContactForm_after'] = $_POST['cf_after'];
+  
+  conf_update_param('ContactForm', serialize($conf['ContactForm']));
+  conf_update_param('ContactForm_before', $conf['ContactForm_before']);
+  conf_update_param('ContactForm_after', $conf['ContactForm_after']);
+  
+  array_push($page['infos'], l10n('Information data registered in database'));
+}
+
+
+// display config
+$template->assign($conf['ContactForm']);
+$template->assign(array(
+  'cf_before' => stripslashes($conf['ContactForm_before']),
+  'cf_after' => stripslashes($conf['ContactForm_after']),
+  ));
+
+$template->set_filename('contact_form', dirname(__FILE__).'/template/config.tpl');
+
+?>
Index: /extensions/ContactForm/admin/emails.php
===================================================================
--- /extensions/ContactForm/admin/emails.php	(revision 17483)
+++ /extensions/ContactForm/admin/emails.php	(revision 17483)
@@ -0,0 +1,37 @@
+<?php
+if (!defined('CONTACT_FORM_PATH')) die('Hacking attempt!');
+
+// save emails
+if (isset($_POST['save_emails']))
+{
+  $emails = array();
+  foreach ($_POST['emails'] as $entry)
+  {
+    if (isset($entry['delete'])) continue;
+    
+    if ( empty($entry['email']) or !check_email_validity($entry['email']) )
+    {
+      array_push($page['errors'], l10n('mail address must be like xxx@yyy.eee (example : jack@altern.org)'));
+    }
+    else
+    {
+      array_push($emails, array(
+        'name' => $entry['name'],
+        'email' => $entry['email'],
+        'active' => isset($entry['active']),
+        ));
+    }
+  }
+  
+  $conf['ContactForm']['cf_admin_mails'] = $emails;
+  conf_update_param('ContactForm', serialize($conf['ContactForm']));
+  array_push($page['infos'], l10n('Information data registered in database'));
+}
+
+
+// display emails
+$template->assign('EMAILS', $conf['ContactForm']['cf_admin_mails']);
+
+$template->set_filename('contact_form', dirname(__FILE__).'/template/emails.tpl');
+
+?>
Index: /extensions/ContactForm/admin/index.php
===================================================================
--- /extensions/ContactForm/admin/index.php	(revision 17482)
+++ /extensions/ContactForm/admin/index.php	(revision 17483)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id: index.php,v 1.1 2009/08/13 15:45:14 Criss Exp $
-// | last update   : $Date: 2009/08/13 15:45:14 $
-// | last modifier : $Author: Criss $
-// | revision      : $Revision: 1.1 $
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/ContactForm/include/contact_form.inc.php
===================================================================
--- /extensions/ContactForm/include/contact_form.inc.php	(revision 17483)
+++ /extensions/ContactForm/include/contact_form.inc.php	(revision 17483)
@@ -0,0 +1,81 @@
+<?php
+if (!defined('CONTACT_FORM_PATH')) die('Hacking attempt!');
+
+global $template, $user, $conf, $page, $pwg_loaded_plugins;
+
+if ( (!is_classic_user() and !$conf['ContactForm']['cf_allow_guest']) or !count(get_contact_emails()) )
+{
+  redirect(get_root_url());
+}
+
+// +-----------------------------------------------------------------------+
+// |                                send email                             |
+// +-----------------------------------------------------------------------+
+if (isset($_POST['send_mail']))
+{
+  $contact = array(
+    'author' => trim($_POST['author']),
+    'email' => trim($_POST['email']),
+    'subject' =>   trim($_POST['subject']),
+    'content' =>   $_POST['content'],
+   );
+  
+  $comment_action = send_contact_form($contact, @$_POST['key']);
+
+  switch ($comment_action)
+  {
+    case 'validate':
+      array_push($page['infos'], l10n('E-mail sent successfully'));
+      unset($contact);
+      break;
+    case 'moderate':
+    case 'reject':
+      break;
+    default:
+      trigger_error('Invalid comment action '.$comment_action, E_USER_WARNING);
+  }
+}
+
+// +-----------------------------------------------------------------------+
+// |                                template                               |
+// +-----------------------------------------------------------------------+
+if (is_classic_user())
+{
+  if (!isset($contact))
+  {
+    $contact = array(
+      'author' => $user['username'],
+      'email' => $user['email'],
+      'subject' => l10n($conf['ContactForm']['cf_default_subject']),
+      'content' => null,
+      );
+  }
+  $contact['is_logged'] = true;
+}
+if ($conf['ContactForm']['cf_mandatory_mail'])
+{
+  $contact['mandatory_mail'] = true;
+}
+if ($conf['ContactForm']['cf_mandatory_name'])
+{
+  $contact['mandatory_name'] = true;
+}
+
+if (!empty($pwg_loaded_plugins['ExtendedDescription']))
+{
+  add_event_handler('render_contact_form', 'get_user_language_desc');
+}
+
+$template->assign(array(
+  'contact' => $contact,
+  'ContactForm_before' => trigger_event('render_contact_form', $conf['ContactForm_before']),
+  'ContactForm_after' => trigger_event('render_contact_form', $conf['ContactForm_after']),
+  'KEY' => get_ephemeral_key(3),
+  'CONTACT_FORM_PATH' => CONTACT_FORM_PATH,
+  'CONTACT_FORM_ABS_PATH'=> dirname(__FILE__).'/../',
+  'F_ACTION' => CONTACT_FORM_PUBLIC,
+  ));
+
+$template->set_filename('index', dirname(__FILE__).'/../template/contact_form.tpl');
+
+?>
Index: /extensions/ContactForm/include/functions.inc.php
===================================================================
--- /extensions/ContactForm/include/functions.inc.php	(revision 17483)
+++ /extensions/ContactForm/include/functions.inc.php	(revision 17483)
@@ -0,0 +1,326 @@
+<?php
+if (!defined('CONTACT_FORM_PATH')) die('Hacking attempt!');
+
+/**
+ * define page section from url
+ */
+function contact_form_section_init()
+{
+  global $tokens, $page, $conf;
+  
+  define('CONTACT_FORM_PUBLIC', make_index_url(array('section' => 'contact')) . '/');
+
+  if ($tokens[0] == 'contact')
+  {
+    $page['section'] = 'contact';
+    $page['title'] = '<a href="'.get_absolute_root_url().'">'.l10n('Home').'</a>'.$conf['level_separator'].'<a href="'.CONTACT_FORM_PUBLIC.'">'.l10n('Contact').'</a>';
+  }
+}
+
+/**
+ * contact page 
+ */
+function contact_form_page()
+{
+  global $page;
+
+  if (isset($page['section']) and $page['section'] == 'contact')
+  {
+    include(CONTACT_FORM_PATH . '/include/contact_form.inc.php');
+  }
+}
+
+/** 
+ * public menu link 
+ */
+function contact_form_applymenu($menu_ref_arr)
+{
+  global $conf;
+  
+  if ( !$conf['ContactForm']['cf_menu_link'] ) return;
+  if ( !is_classic_user() and !$conf['ContactForm']['cf_allow_guest'] ) return;
+  if ( !count(get_contact_emails()) ) return;
+  
+  if (!defined('CONTACT_FORM_PUBLIC')) define('CONTACT_FORM_PUBLIC', make_index_url(array('section' => 'contact2')) . '/');
+
+  $menu = &$menu_ref_arr[0];
+  if (($block = $menu->get_block('mbMenu')) != null)
+  {
+    array_push($block->data, array(
+      'URL' => CONTACT_FORM_PUBLIC,
+      'NAME' => l10n('Contact'),
+    ));
+  }
+}
+
+/**
+ * admin plugins menu link 
+ */
+function contact_form_admin_menu($menu) 
+{
+  array_push($menu, array(
+    'URL' => CONTACT_FORM_ADMIN,
+    'NAME' => 'Contact Form',
+  ));
+  return $menu;
+}
+
+/**
+ * init emails list
+ */
+function contact_form_initialize_emails()
+{
+  global $conf;
+  
+  $query = '
+SELECT
+    u.'.$conf['user_fields']['username'].' AS username,
+    u.'.$conf['user_fields']['email'].' AS email
+  FROM '.USERS_TABLE.' AS u
+    JOIN '.USER_INFOS_TABLE.' AS i
+    ON i.user_id =  u.'.$conf['user_fields']['id'].'
+  WHERE i.status in (\'webmaster\',  \'admin\')
+    AND '.$conf['user_fields']['email'].' IS NOT NULL
+  ORDER BY username
+;';
+  $result = pwg_query($query);
+  
+  $emails = array();
+  while ($row = pwg_db_fetch_assoc($result))
+  {
+    array_push($emails, array(
+      'name' => $row['username'],
+      'email' => $row['email'],
+      'active' => true,
+      ));
+  }
+  
+  $conf['ContactForm']['cf_admin_mails'] = $emails;
+  $conf['ContactForm']['cf_must_initialize'] = false;
+  conf_update_param('ContactForm', serialize($conf['ContactForm']));
+}
+
+
+/**
+ * Send comment to subscribers
+ */
+function send_contact_form(&$comm, $key)
+{
+  global $conf, $page, $template, $conf_mail;
+  
+  if (!isset($conf_mail))
+  {
+    $conf_mail = get_mail_configuration();
+  }
+  
+  $comm = array_merge($comm,
+    array(
+      'ip' => $_SERVER['REMOTE_ADDR'],
+      'agent' => $_SERVER['HTTP_USER_AGENT']
+    )
+   );
+
+  $comment_action='validate';
+  
+  // check key
+  if (!verify_ephemeral_key(@$key))
+  {
+    $comment_action='reject';
+  }
+
+  // check author
+  if ( $conf['ContactForm']['cf_mandatory_name'] and empty($comm['author']) )
+  {
+    array_push($page['errors'], l10n('Please enter a name'));
+    $comment_action='reject';
+  }
+  
+  // check email
+  if ( $conf['ContactForm']['cf_mandatory_mail'] and empty($comm['email']) )
+  {
+    array_push($page['errors'], l10n('Please enter an e-mail'));
+    $comment_action='reject';
+  }
+  else if ( !empty($comm['email']) and !check_email_validity($comm['email']) )
+  {
+    array_push($page['errors'], l10n('mail address must be like xxx@yyy.eee (example : jack@altern.org)'));
+    $comment_action='reject';
+  }
+
+  // check subject
+  if (empty($comm['subject']))
+  {
+    array_push($page['errors'], l10n('Please enter a subject'));
+    $comment_action='reject';
+  }
+  else if (strlen($comm['subject']) < 4)
+  {
+    array_push($page['errors'], sprintf(l10n('%s must not be less than %d characters long'), l10n('Subject'), 4));
+    $comment_action='reject';
+  }
+  else if (strlen($comm['subject']) > 100)
+  {
+    array_push($page['errors'], sprintf(l10n('%s must not be more than %d characters long'), l10n('Subject'), 100));
+    $comment_action='reject';
+  }
+  
+  // check content
+  if (empty($comm['content']))
+  {
+    array_push($page['errors'], l10n('Please enter a message'));
+    $comment_action='reject';
+  }
+  else if (strlen($comm['content']) < 20)
+  {
+    array_push($page['errors'], sprintf(l10n('%s must not be less than %d characters long'), l10n('Message'), 20));
+    $comment_action='reject';
+  }
+  else if (strlen($comm['subject']) > 2000)
+  {
+    array_push($page['errors'], sprintf(l10n('%s must not be more than %d characters long'), l10n('Message'), 2000));
+    $comment_action='reject';
+  }
+  
+  include_once(PHPWG_ROOT_PATH.'include/functions_comment.inc.php');
+  include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
+  
+  add_event_handler('contact_form_check', 'user_comment_check',
+    EVENT_HANDLER_PRIORITY_NEUTRAL, 2);
+  
+  // perform more spam check
+  $comment_action = trigger_event('contact_form_check', $comment_action, $comm);
+  
+  // get admin emails
+  $emails = get_contact_emails();
+  if (!count($emails))
+  {
+    array_push($page['errors'], l10n('Error while sending e-mail'));
+    $comment_action='reject';
+  }
+
+  if ($comment_action == 'validate')
+  {
+    // format subject
+    $prefix = str_replace('%gallery_title%', $conf['gallery_title'], $conf['ContactForm']['cf_subject_prefix']);
+    $subject = '['.$prefix.'] '.$comm['subject'];
+    $subject = trim(preg_replace('#[\n\r]+#s', '', $subject));
+    $subject = encode_mime_header($subject);
+    
+    // format content
+    if ($conf['ContactForm']['cf_mail_type'] == 'text/html')
+    {
+      $comm['content'] = nl2br($comm['content']);
+    }
+    
+    // format expeditor
+    if (empty($comm['email']))
+    {
+      $args['from'] = $conf_mail['formated_email_webmaster'];
+    }
+    else
+    {
+      $args['from'] = format_email($comm['author'], $comm['email']);
+    }
+    
+    // hearders
+    $headers = 'From: '.$args['from']."\n";  
+    $headers.= 'MIME-Version: 1.0'."\n";
+    $headers.= 'X-Mailer: Piwigo Mailer'."\n";
+    $headers.= 'Content-Transfer-Encoding: 8bit'."\n";
+    $headers.= 'Content-Type: '.$conf['ContactForm']['cf_mail_type'].'; charset="'.get_pwg_charset().'";'."\n";
+    
+    set_make_full_url();
+    switch_lang_to(get_default_language());
+    load_language('plugin.lang', CONTACT_FORM_PATH);
+    
+    // template
+    if ($conf['ContactForm']['cf_mail_type'] == 'text/html')
+    {
+      $mail_css = file_get_contents(dirname(__FILE__).'/../template/mail/style.css');
+      $template->set_filename('contact_mail', dirname(__FILE__).'/../template/mail/content_html.tpl');
+    }
+    else
+    {
+      $mail_css = null;
+      $template->set_filename('contact_mail', dirname(__FILE__).'/../template/mail/content_plain.tpl');
+    }
+    
+    $template->assign(array(
+      'cf_prefix' => $prefix,
+      'contact' => $comm,
+      'GALLERY_URL' => get_gallery_home_url(),
+      'PHPWG_URL' => PHPWG_URL,
+      'CONTACT_MAIL_CSS' => $mail_css,
+      ));
+    
+    // mail content
+    $content = $template->parse('contact_mail', true);
+    $content = wordwrap($content, 70, "\n", true);
+    
+    // send mail
+    $result =
+      trigger_event('send_mail',
+        false, /* Result */
+        trigger_event('send_mail_to', implode(';', $emails)),
+        trigger_event('send_mail_subject', $subject),
+        trigger_event('send_mail_content', $content),
+        trigger_event('send_mail_headers', $headers),
+        $args
+      );
+    
+    unset_make_full_url();
+    switch_lang_back();
+    load_language('plugin.lang', CONTACT_FORM_PATH);
+    
+    if ($result == false)
+    {
+      array_push($page['errors'], l10n('Error while sending e-mail'));
+      $comment_action='reject';
+    }
+  }
+  
+  return $comment_action;
+}
+
+/**
+ * get contact emails
+ */
+function get_contact_emails()
+{
+  global $conf;
+  
+  include_once(PHPWG_ROOT_PATH.'include/functions_mail.inc.php');
+  
+  $emails = array();
+  foreach ($conf['ContactForm']['cf_admin_mails'] as $data)
+  {
+    if ($data['active'])
+    {
+      array_push($emails, format_email($data['name'], $data['email']));
+    }
+  }
+  
+  return $emails;
+}
+
+
+/**
+ * check if email is valid 
+ */
+function check_email_validity($mail_address)
+{
+  if (version_compare(PHP_VERSION, '5.2.0') >= 0)
+  {
+    return filter_var($mail_address, FILTER_VALIDATE_EMAIL)!==false;
+  }
+  else
+  {
+    $atom   = '[-a-z0-9!#$%&\'*+\\/=?^_`{|}~]';   // before  arobase
+    $domain = '([a-z0-9]([-a-z0-9]*[a-z0-9]+)?)'; // domain name
+    $regex = '/^' . $atom . '+' . '(\.' . $atom . '+)*' . '@' . '(' . $domain . '{1,63}\.)+' . $domain . '{2,63}$/i';
+
+    return (bool)preg_match($regex, $mail_address);
+  }
+}
+
+?>
Index: /extensions/ContactForm/include/index.php
===================================================================
--- /extensions/ContactForm/include/index.php	(revision 17482)
+++ /extensions/ContactForm/include/index.php	(revision 17483)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id: index.php,v 1.1 2009/08/13 12:39:51 Criss Exp $
-// | last update   : $Date: 2009/08/13 12:39:51 $
-// | last modifier : $Author: Criss $
-// | revision      : $Revision: 1.1 $
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/ContactForm/index.php
===================================================================
--- /extensions/ContactForm/index.php	(revision 17482)
+++ /extensions/ContactForm/index.php	(revision 17483)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id: index.php,v 1.1 2009/08/13 12:39:52 Criss Exp $
-// | last update   : $Date: 2009/08/13 12:39:52 $
-// | last modifier : $Author: Criss $
-// | revision      : $Revision: 1.1 $
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/ContactForm/language/ar_SA/index.php
===================================================================
--- /extensions/ContactForm/language/ar_SA/index.php	(revision 17482)
+++ /extensions/ContactForm/language/ar_SA/index.php	(revision 17483)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id$
-// | last update   : $Date$
-// | last modifier : $Author$
-// | revision      : $Revision$
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
Index: /extensions/ContactForm/language/ar_SA/plugin.lang.php
===================================================================
--- /extensions/ContactForm/language/ar_SA/plugin.lang.php	(revision 17482)
+++ /extensions/ContactForm/language/ar_SA/plugin.lang.php	(revision 17483)
@@ -1,71 +1,44 @@
 <?php
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
 
-$lang['cf_plugin_name'] = 'نموذج الاتصال';
-$lang['contact_form_debug'] = 'عرض تصحيح المعلومات';
+$lang['A comment on the site'] = 'تعليق على الموقع';
+$lang['Contact'] = 'اتصل بنا';
+$lang['Your name'] = 'اسمك';
+$lang['Your e-mail'] = 'بريدك الالكتروني';
+$lang['Subject'] = 'العنوان';
+$lang['Message'] = 'الرسالة';
+$lang['General configuration'] = 'الاعدادات العامة';
+$lang['Add link in menu'] = 'اضف رابط في القائمة';
+$lang['Allow guests to see the form'] = 'السماح للضيوف برؤية النموذج';
+$lang['E-mail address is mandatory'] = 'البريد الالكتروني اجباري';
+$lang['Name is mandatory'] = 'الاسم اجباري';
+$lang['E-mail configuration'] = 'اعدادات البريد الالكتروني';
+$lang['Text before the contact form'] = 'النص قبل نموذج الاتصال';
+$lang['Text after the contact form'] = 'النص بعد نموذج الاتصال';
+$lang['E-mail sent successfully'] = 'تم الارسال بنجاح';
+$lang['Please enter a name'] = 'من فضلك ادخل الاسم';
+$lang['Please enter a subject'] = 'من فضلك ادخل العنوان';
+$lang['Please enter a message'] = 'من فضلك ادخل رسالة';
+$lang['Error while sending e-mail'] = 'حدث خطأ أثناء الارسال';
 
-// ==================================================================
-// Default values if not configured
-$lang['contact_form_title'] = 'نموذج الاتصال';
-$lang['contact_form'] = 'اتصل بنا';
-$lang['contact_form_link'] = 'اتصل بمدير الموقع';
-
-// ==================================================================
-// Redirect page
-$lang['contact_redirect_title'] = 'ارسل رسالة حالة';
-
-// ==================================================================
-// Menubar block
-$lang['cf_from_name'] = 'اسمك';
-$lang['cf_from_mail'] = 'بريدك الالكتروني';
-$lang['cf_subject'] = 'العنوان';
-$lang['cf_message'] = 'الرسالة';
-$lang['cf_submit'] = 'ارسل';
-$lang['title_send_mail'] = 'تعليق على الموقع';
-
-// ==================================================================
-// Messages
-$lang['cf_from_name_error'] = 'من فضلك ادخل الاسم';
-$lang['cf_mail_format_error'] = 'يجب ان يكون البريد بهذه الكيفيةxxx@yyy.eee (مثلا : jack@altern.org)';
-$lang['cf_subject_error'] = 'من فضلك ادخل العنوان';
-$lang['cf_message_error'] = 'من فضلك ادخل رسالة';
-$lang['cf_error_sending_mail'] = 'حدث خطأ أثناء الارسال';
-$lang['cf_sending_mail_successful'] = 'تم الارسال بنجاح';
-$lang['cf_form_error'] = 'معلومات غير صحيحة';
-$lang['cf_no_unlink'] = 'الوظيفة "unlink" غير متوفرة';
-$lang['cf_unlink_errors'] = 'خطأ اثناء حذف الملف';
-$lang['cf_config_saved'] = 'الاعدادات حفظت بنجاح';
-$lang['cf_config_saved_with_errors'] = 'الاعدادات حفظت مع وجود أخطاء';
-$lang['cf_length_not_integer'] = 'الحجم يجب ان يكون عدد صحيح';
-$lang['cf_delay_not_integer'] = 'التأخير يجب ان يكون عدد صحيح';
-$lang['cf_link_error'] = 'المتغير لايمكن ان يحوي مسافات';
-$lang['cf_hide'] = 'اخفاء';
-
-// ==================================================================
-// Admin page
-$lang['cf_validate'] = 'ادخل';
-// Configuration tab
-$lang['cf_tab_config'] = 'الاعدادات';
-$lang['cf_config'] = 'الاعدادات';
-$lang['cf_config_desc'] = 'الاعدادت الرئيسة للأداة';
-$lang['cf_label_config'] = 'الاعدادات العامة';
-$lang['cf_label_mail'] = 'اعدادات البريد الالكتروني';
-$lang['cf_menu_link'] = 'اضف رابط في القائمة';
-$lang['cf_guest_allowed'] = 'السماح للضيوف برؤية النموذج';
-$lang['cf_mail_prefix'] = 'البداية المعرفة للبريد المرسل';
-$lang['cf_separator'] = 'احرف التي تستخدم لتحديد شريط الفاصل في تنسيق نص البريد الإلكتروني';
-$lang['cf_separator_length'] = 'حجم الشريط';
-$lang['cf_mandatory_name'] = 'الاسم اجباري';
-$lang['cf_mandatory_mail'] = 'البريد الالكتروني اجباري';
-$lang['cf_redirect_delay'] = 'ايقاف مؤقت التأخير في التحويل';
-// Emails tab
-$lang['cf_tab_emails'] = 'البريد الالكتروني';
-$lang['cf_emails'] = 'البريد الالكتروني';
-$lang['cf_emails_desc'] = 'تنظيم البريد الالكتروني المستهدفة';
-$lang['cf_active'] = 'البريد الالكتروني النشطة';
-$lang['cf_no_mail'] = 'لايوجد عنوان بريد الكتروني متاح';
-$lang['cf_refresh'] = 'اعادة توليد قوائم البريد الالكتروني';
-$lang['Text after the contact form'] = 'النص بعد نموذج الاتصال';
-$lang['Text before the contact form'] = 'النص قبل نموذج الاتصال';
-$lang['cf_tab_persoform'] = 'اضف نص اختياري';
 ?>
Index: /extensions/ContactForm/language/bg_BG/index.php
===================================================================
--- /extensions/ContactForm/language/bg_BG/index.php	(revision 17482)
+++ /extensions/ContactForm/language/bg_BG/index.php	(revision 17483)
@@ -1,12 +1,9 @@
 <?php
 // +-----------------------------------------------------------------------+
-// | PhpWebGallery - a PHP based picture gallery                           |
-// | Copyright (C) 2002-2003 Pierrick LE GALL - pierrick@phpwebgallery.net |
-// | Copyright (C) 2003-2007 PhpWebGallery Team - http://phpwebgallery.net |
+// | Piwigo - a PHP based photo gallery                                    |
 // +-----------------------------------------------------------------------+
-// | file          : $Id: index.php,v 1.1 2009/08/13 12:39:52 Criss Exp $
-// | last update   : $Date: 2009/08/13 12:39:52 $
-// | last modifier : $Author: Criss $
-// | revision      : $Revision: 1.1 $
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
 // +-----------------------------------------------------------------------+
 // | This program is free software; you can redistribute it and/or modify  |
